class CashierTerminal < ApplicationRecord
	has_many :cashier_terminal_by_zones 
  	has_many :zones, through: :cashier_terminal_by_zones

  	scope :available, -> {where(is_currently_login: false)}
  	scope :is_active, -> {where(is_active: true)}

  	# validations
 	validates_presence_of :name, :printer_name
end
